## octave-sockets 1.0.4

=== DESCRIPTION ===
Name: sockets
Version: 1.0.4
Date: 2008-04-29
Author: John Swensen <jpswensen@comcast.net>
Maintainer: Tom Holroyd <tomh@kurage.nimh.nih.gov>
Title: Sockets
Description: Socket functions
Categories: Sockets
Depends: octave (>= 2.9.10)
Autoload: no
License: GPL version 2 or later
Url: http://octave.sf.net
