## octave-sockets 1.0.6

=== DESCRIPTION ===
Name: sockets
Version: 1.0.6
Date: 2009-11-16
Author: John Swensen <jpswensen@comcast.net>
Maintainer: Tom Holroyd <tomh@kurage.nimh.nih.gov>
Title: Sockets
Description: Socket functions for networking from within octave.
Categories: Sockets
Depends: octave (>= 2.9.10)
Autoload: no
License: GPL version 2 or later
Url: http://octave.sf.net
