## octave-sockets 1.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: sockets
-Version: 1.0.6
-Date: 2009-11-16
+Version: 1.0.7
+Date: 2011-03-03
 Author: John Swensen <jpswensen@comcast.net>
 Maintainer: Tom Holroyd <tomh@kurage.nimh.nih.gov>
 Title: Sockets
