=== debian/changelog ===
octave-sockets (1.0.7-1) unstable; urgency=low

  * New upstream release

 -- Thomas Weber <tweber@debian.org>  Mon, 02 May 2011 21:45:26 +0200

octave-sockets (1.0.6-2) unstable; urgency=low

  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571923)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump standards version to 3.9.1, no changes required

 -- Thomas Weber <tweber@debian.org>  Sun, 01 May 2011 20:28:31 +0200

octave-sockets (1.0.6-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 21 Dec 2009 19:02:29 +0100

octave-sockets (1.0.5-3) unstable; urgency=low

  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (add file debian/README.source)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/patches/autoload-yes.diff: Add description

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 20:04:57 +0200

octave-sockets (1.0.5-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 07 Apr 2009 12:56:00 +0200

octave-sockets (1.0.5-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version
  * debian/patches/gethostname_with_empty_arg: removed, applied upstream

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Dec 2008 16:35:07 +0000

octave-sockets (1.0.4-3) unstable; urgency=low

  * debian/patches/autoload-yes.diff: Enable autoloading of sockets
    functions by default
  * debian/control: Improve long description

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 21 May 2008 11:11:14 +0000

octave-sockets (1.0.4-2) unstable; urgency=low

  * New patch (gethostname_with_empty_arg) and re-add quilt, patch courtesy of
    David Bateman.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 15 May 2008 15:24:10 +0200

octave-sockets (1.0.4-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

  [ Thomas Weber ]
  * Drop patch pkg-add-autoloads.diff, applied (somewhat) upstream.
  * debian/rules, debian/control: Drop dependency on quilt, no more patches
    currently.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 15 May 2008 13:28:47 +0200

octave-sockets (1.0.3-1) unstable; urgency=low

  * Initial release (closes: #468522)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sat, 23 Feb 2008 13:06:24 +0100
