=== debian/control ===
Source: octave-sockets
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/sockets
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-sockets.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-sockets.git

Package: octave-sockets
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: communication through Internet sokects in Octave
 This package provides functions to work with sockets in octave,
 mimicking the Unix socket API (socket, connect, disconnect,
 gethostbyname, send, recv, bind, listen, and accept)
 .
 This Octave add-on package is part of the Octave-Forge project.
