## octave-sockets 1.0.8

=== DESCRIPTION ===
Name: sockets
Version: 1.0.8
Date: 2012-06-22
Author: John Swensen <jpswensen@comcast.net>
Maintainer: Paul Dreik <slask@pauldreik.se>
Title: Sockets
Description: Socket functions for networking from within octave.
Categories: Sockets
Depends: octave (>= 2.9.10)
Autoload: no
License: GPLv3+
Url: http://octave.sourceforge.net
