=== debian/changelog ===
octave-sockets (1.0.8-2) unstable; urgency=medium

  [ Thomas Weber ]
  * Update the copyright file to GPL-3+
  * debian/control: Use canonical URLs in Vcs-* fields
  * Remove obsolete DM-Upload-Allowed flag

  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * Add Rafael Laboissiere and Mike Miller to Uploaders.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * d/copyright: ensure that all files have copyright information.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 22 Sep 2014 18:36:02 +0200

octave-sockets (1.0.8-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.0.8
  * debian/patches/compile-with-gcc-4.7.diff: Drop patch (applied upstream)
  * debian/patches/autoload-yes.diff: Refresh patch

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 29 Jun 2012 18:10:21 +0000

octave-sockets (1.0.7-2) unstable; urgency=low

  [ Thomas Weber ]
  * Re-introduce the package into Debian - after 2 years without maintainer,
    Paul Dreik took over upstream development.
  * Fix spelling error in description (closes: #630966)

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.0.7
  * Build-depend on octave-pkg-dev >= 1.0.2, to compile against Octave 3.6
  * Bump Standards-Version to 3.9.3, no changes needed
  * Bump to debhelper compat level 9
  * Add Sébastien Villemot to Uploaders
  * debian/copyright: update to machine-readable format 1.0
  * debian/watch: Use the SourceForge redirector
  * Add Lintian override for false positive on hardening flags
  * debian/check.m: Make the tests really work
  * debian/octave-sockets.examples: Install the test scripts as examples
  * debian/patches/compile-with-gcc-4.7.diff: New patch
  * debian/patches/path-for-octave-command.diff: New patch

 -- Thomas Weber <tweber@debian.org>  Fri, 22 Jun 2012 17:31:09 +0200
