=== debian/control ===
Source: octave-sockets
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@laboissiere.net>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.2)
Standards-Version: 3.9.6
Homepage: http://octave.sourceforge.net/sockets
Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-sockets.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-sockets.git

Package: octave-sockets
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: communication through Internet sockets in Octave
 This package provides functions to work with sockets in octave,
 mimicking the Unix socket API (socket, connect, disconnect,
 gethostbyname, send, recv, bind, listen, and accept)
 .
 This Octave add-on package is part of the Octave-Forge project.
