## octave-sockets 1.2.0

=== debian/changelog ===
octave-sockets (1.2.0-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:16 +0100

octave-sockets (1.2.0-5) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 08 Nov 2019 13:07:46 -0300

octave-sockets (1.2.0-4) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/copyright: Use secure URL in the Format header
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:44 -0200

octave-sockets (1.2.0-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:38:10 -0200

octave-sockets (1.2.0-2) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use secure URIs in the Vcs-* fields
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:38 -0200

octave-sockets (1.2.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.0
  * d/octave-sockets.examples: Refresh for new upstream version
  * d/p/autoload-yes.diff: Remove patch (deprecated upstream)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 20:47:12 +0200
