=== debian/control ===
Source: octave-sockets
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Rafael Laboissiere <rafael@debian.org>,
           Sébastien Villemot <sebastien@debian.org>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.7.1)
Standards-Version: 4.4.1
Homepage: https://octave.sourceforge.io/sockets/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sockets.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sockets
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-sockets
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: communication through Internet sockets in Octave
 This package provides functions to work with sockets in octave,
 mimicking the Unix socket API (socket, connect, disconnect,
 gethostbyname, send, recv, bind, listen, and accept)
 .
 This Octave add-on package is part of the Octave-Forge project.
