=== debian/watch ===
version=3
http://sf.net/octave/sockets-(.+)\.tar\.gz
