## octave-sockets 1.2.1

=== DESCRIPTION ===
Name: sockets
Version: 1.2.1
Date: 2020-11-10
Author: John Swensen <jpswensen@comcast.net>
Maintainer: Octave-Forge community <maintainers@octave.org>
Title: Sockets
Description: Socket functions for networking from within octave.
Categories: Sockets
Depends: octave (>= 3.6.0)
License: GPLv3+
Url: http://octave.sourceforge.net
