=== debian/changelog ===
octave-sockets (1.2.1-1build2) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:36:02 +0000

octave-sockets (1.2.1-1build1) hirsute; urgency=medium

  * No-change rebuild for octave soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Dec 2020 22:46:27 +0100

octave-sockets (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * d/watch: Update to version 4

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Nov 2020 10:50:47 -0300

octave-sockets (1.2.0-6) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Jul 2020 11:16:37 -0300
