=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>,
+           Rafael Laboissière <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/sockets/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sockets.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sockets
