=== Makefile ===
--- 
+++ 
@@ -18,6 +18,23 @@
 CUT ?= cut
 TR ?= tr
 TEXI2PDF  ?= texi2pdf -q
+MAKEINFO  ?= makeinfo
+
+# work out a possible help generator
+ifeq ($(strip $(QHELPGENERATOR)),)
+  ifneq ($(shell qhelpgenerator-qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qhelpgenerator-qt5
+  else ifneq ($(shell qcollectiongenerator-qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qcollectiongenerator-qt5
+  #else ifneq ($(shell qhelpgenerator -qt5 -v 2>/dev/null),)
+  # v4 doesnt work
+  #  QHELPGENERATOR = qhelpgenerator -qt5
+  else ifneq ($(shell qcollectiongenerator -qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qcollectiongenerator -qt5
+  else
+    QHELPGENERATOR = true
+  endif
+endif
 
 ## Note the use of ':=' (immediate set) and not just '=' (lazy set).
 ## http://stackoverflow.com/a/448939/1609556
@@ -113,6 +130,48 @@
 	-$(RM) $(release_tarball) $(html_tarball)
 	@echo
 
+## doc build rules
+.PHONY: docs
+docs: doc/$(package).pdf doc/$(package).info doc/$(package).qhc doc/$(package).html
+
+.PHONY: clean-docs
+clean-docs:
+	$(RM) -f doc/$(package).html
+	$(RM) -f doc/$(package).qhc
+	$(RM) -f doc/$(package).qch
+	$(RM) -f doc/$(package).info
+	$(RM) -f doc/$(package).pdf
+	$(RM) -f doc/functions.texi
+	$(RM) -f doc/docs.cpp
+
+doc/$(package).pdf: doc/$(package).texi doc/functions.texi
+	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(package).texi
+	# remove temp files
+	cd doc && $(RM) -f $(package).aux $(package).cp $(package).cps $(package).fn  $(package).fns $(package).log $(package).toc
+
+doc/$(package).html: doc/$(package).texi doc/functions.texi
+	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
+
+doc/$(package).qhc: doc/$(package).html
+	# try also create qch file if can
+	cd doc && ./mkqhcp.py $(package) && $(QHELPGENERATOR) $(package).qhcp -o $(package).qhc
+	cd doc && $(RM) -f $(package).qhcp $(package).qhp
+
+doc/$(package).info: doc/$(package).texi doc/functions.texi
+	cd doc && $(MAKEINFO) $(package).texi
+
+# mkdocfuns can find some of our #define socket constants
+CONST_DOC=DEFUN_DLD(\1,,,"\\\n-*- texinfo -*-\nSocket constant for \1\n")\n\{\n
+
+doc/functions.texi:
+	# we need make some marked up sources for our basic
+	# mkfuncdocs to find the #defined constants
+	$(SED) -n -e 's/^DEFUN_DLD_SOCKET_CONSTANT(\(.*\)).*/$(CONST_DOC)/p' src/*.cc > doc/docs.cpp
+	$(SED) -n -e 's/^DEFUN_DLD_SOCKET_CONSTANT_VALUE(\([^,]*\).*/$(CONST_DOC)/p' src/*.cc >> doc/docs.cpp
+	cd doc && ./mkfuncdocs.py --src-dir=../src/ --src-dir=. --allowscan ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
+	$(RM) -f docs.cpp
+	$(RM) -f doc/docs.cpp
+
 ## Create the unpacked package.
 ##
 ## Notes:
@@ -146,15 +205,20 @@
 #	cd "$@/src" && ./configure && $(MAKE) prebuild && \
 #	  $(MAKE) clean && $(RM) Makefile
 ##
+	# build docs
+	$(MAKE) -C "$@" docs
+	# remove dev stuff
+	cd "$@" && $(RM) -rf "devel" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
 	${FIX_PERMISSIONS} "$@"
 
 run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                          --eval ' pkg ("load", "$(package)"); '
 
-html_options = --eval 'options = get_html_options ("octave-forge");'
+#html_options = --eval 'options = get_html_options ("octave-forge");'
 ## Uncomment this for package documentation.
-#html_options = --eval 'options = get_html_options ("octave-forge");' \
-#               --eval 'options.package_doc = "$(package).texi";'
+html_options = --eval 'options = get_html_options ("octave-forge");' \
+               --eval 'options.package_doc = "$(package).texi";' \
+	       --eval 'options.package_doc_options = [options.package_doc_options " --css-include=$(package).css"];'
 $(html_dir): $(install_stamp)
 	$(RM) -r "$@";
 	$(run_in_place)                    \
@@ -241,7 +305,7 @@
 
 .PHONY: clean
 
-clean: clean-tarballs clean-unpacked-release clean-install
+clean: clean-tarballs clean-unpacked-release clean-install clean-docs
 	test -e $(target_dir)/fntests.log && rm -f $(target_dir)/fntests.log || true
 	@echo "## Removing target directory (if empty)..."
 	test -e $(target_dir) && rmdir $(target_dir) || true
