=== debian/changelog ===
octave-sockets (1.4.0-4) unstable; urgency=medium

  * d/p/avoid-timeout-bist-failure.patch: New patch (avoid FTBFS)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 09 Dec 2022 09:45:26 -0300

octave-sockets (1.4.0-3) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 11:18:45 -0300

octave-sockets (1.4.0-2) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 11:10:51 -0300

octave-sockets (1.4.0-1) unstable; urgency=medium

  [ lintian-brush ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Rafael Laboissière ]
  * New upstream version 1.4.0
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * No need for cleaning file src/socket.cc-tst
    + d/clean: Drop file
    + d/control: Build-depend on dh-octave >= 1.2.2. In this version
      dh_octave_clean removes the src/*-tst files.
  * d/octave-sockets.lintian-overrides: Drop unused override

 -- Rafael Laboissière <rafael@debian.org>  Sun, 24 Jul 2022 15:00:47 -0300

octave-sockets (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * d/clean: New file
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * Set upstream metadata fields: Archive.
  * d/p/path-for-octave-command.diff: Add authorship information

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Mar 2022 03:57:20 -0300
