=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1)
-Standards-Version: 4.5.0
+               dh-octave (>= 1.2.2),
+               dh-sequence-octave
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/sockets/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sockets.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sockets
