## octave-sockets 1.4.1

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
 $(TR) '[:upper:]' '[:lower:]')
 version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
+pkg_date := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" ")
 
 ## These are the paths that will be created for the releases.
 target_dir       := target
@@ -142,14 +143,22 @@
 	$(RM) -f doc/$(package).info
 	$(RM) -f doc/$(package).pdf
 	$(RM) -f doc/functions.texi
+	$(RM) -f doc/version.texi
 	$(RM) -f doc/docs.cpp
 
-doc/$(package).pdf: doc/$(package).texi doc/functions.texi
+doc/version.texi: $(release_dir_dep)
+	@echo Generating $@
+	@echo "@c autogenerated from Makefile" > $@
+	@echo "@set VERSION $(version)" >> $@
+	@echo "@set PACKAGE $(package)" >> $@
+	@echo "@set DATE $(pkg_date)" >> $@
+
+doc/$(package).pdf: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(package).texi
 	# remove temp files
 	cd doc && $(RM) -f $(package).aux $(package).cp $(package).cps $(package).fn  $(package).fns $(package).log $(package).toc
 
-doc/$(package).html: doc/$(package).texi doc/functions.texi
+doc/$(package).html: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
 
 doc/$(package).qhc: doc/$(package).html
@@ -157,13 +166,13 @@
 	cd doc && ./mkqhcp.py $(package) && $(QHELPGENERATOR) $(package).qhcp -o $(package).qhc
 	cd doc && $(RM) -f $(package).qhcp $(package).qhp
 
-doc/$(package).info: doc/$(package).texi doc/functions.texi
+doc/$(package).info: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && $(MAKEINFO) $(package).texi
 
 # mkdocfuns can find some of our #define socket constants
 CONST_DOC=DEFUN_DLD(\1,,,"\\\n-*- texinfo -*-\nSocket constant for \1\n")\n\{\n
 
-doc/functions.texi:
+doc/functions.texi: $(release_dir_dep)
 	# we need make some marked up sources for our basic
 	# mkfuncdocs to find the #defined constants
 	$(SED) -n -e 's/^DEFUN_DLD_SOCKET_CONSTANT(\(.*\)).*/$(CONST_DOC)/p' src/*.cc > doc/docs.cpp
@@ -309,6 +318,3 @@
 	test -e $(target_dir)/fntests.log && rm -f $(target_dir)/fntests.log || true
 	@echo "## Removing target directory (if empty)..."
 	test -e $(target_dir) && rmdir $(target_dir) || true
-	@echo
-	@echo "## Cleaning done"
-	@echo
