=== debian/changelog ===
octave-sockets (1.4.1-6) unstable; urgency=medium

  * d/control:
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Bump build-dependency on dh-octave to >= 1.11.0.
      This is necessary in order to properly clean the doc/ directory.
  * d/watch: Convert to version 5
  * d/s/lintian-overrides: Adjust override for debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 15 Sep 2025 15:54:58 -0300

octave-sockets (1.4.1-5) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Bump build-dependency on dh-octave to >= 1.11.0.
      This is necessary in order to properly clean the doc/ directory.

 -- Rafael Laboissière <rafael@debian.org>  Mon, 15 Sep 2025 04:16:10 -0300

octave-sockets (1.4.1-4) unstable; urgency=medium

  * d/u/metadata:
    + Update Bug-Database URL
    + Add Repository URL
  * Build and install Qt Help files
    + debian/control: Build-depends on dh-octave >= 1.8.0
    + debian/patches/add-mkqhcp-py.patch: New patch
    + debian/rules: Build socket.{qch,qhc} files
  * d/s/lintian-overrides: Override Lintian warning
    very-long-line-length-in-source-file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 11 Feb 2024 05:56:54 -0300

octave-sockets (1.4.1-3) unstable; urgency=medium

  * Build documentation using upstream Makefile (Closes: #1060999)
    + d/p/add-mkfuncdocs-py.patch: New patch
    + d/rules: Make doc/mkfuncdocs.py executable and build the
      documentation files (PDF, HTML, and INFO) from the sources
    + d/control: Build-depend on python3
  * Add documentation in info format
    + d/octave-socket.info: New file
    + d/octave-sockets.doc-base: Add section for info files
  * d/p/add-info-dir.patch: New patch
  * d/s/lintian-overrides: Fix typo in comment

 -- Rafael Laboissière <rafael@debian.org>  Wed, 17 Jan 2024 04:01:12 -0300

octave-sockets (1.4.1-2) unstable; urgency=medium

  * d/control: Build-depend on texlive (Closes: #1042007)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 26 Jul 2023 16:06:08 -0300

octave-sockets (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage URL
  * d/copyright:
    + Update Source URL
    + Reflect upstream changes
  * Build and install the upstream documentation

 -- Rafael Laboissière <rafael@debian.org>  Tue, 25 Jul 2023 07:56:13 -0300
