=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.2),
-               dh-sequence-octave
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/sockets/
+               dh-octave (>= 1.11.0),
+               dh-sequence-octave,
+               python3 <!nodoc>,
+               texlive <!nodoc>
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/sockets/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sockets.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sockets
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-sockets
 Architecture: any
