=== debian/changelog ===
octave-sockets (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * Drop patches (applied upstream):
    + d/p/add-mkfuncdocs-py.patch
    + d/p/add-info-dir.patch
    + d/p/mkqhcp-py.patch
  * d/copyright: Reflect upstream changes
  * d/s/lintian-overrides: Drop unused overrides
  * d/salsa-ci.yml: New file
  * d/u/metadata: Update upstream URLs
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
  * d/watch: Update location of upstream tarball

 -- Rafael Laboissière <rafael@debian.org>  Sun, 25 Jan 2026 11:53:03 +0000
