=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: octave-sockets
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
            Rafael Laboissière <rafael@debian.org>,
@@ -11,7 +10,7 @@
                dh-sequence-octave,
                python3 <!nodoc>,
                texlive <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/sockets/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-sockets.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-sockets
