=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/sockets/
Matching-Pattern: https://github.com/gnu-octave/octave-sockets/releases/download/release-1.5.0/sockets-@ANY_VERSION@@ARCHIVE_EXT@
